<div class="header-class">
  <p class="allign-center">header Page</p>

  <span *ngFor="let path of pathArray;let index =index;">
    <!-- Displayed when path.clickNav==false -->
    <a *ngIf="!path.clickNav"
      [ngClass]="{'page-selected':path.active}"
      (click)="navigateTo('',index)"
      class="navigation-option"
      routerLink="{{path.path}}">{{path.title}}</a>
    <!-- Displayed when path.clickNav==true -->
    <a *ngIf="path.clickNav"
      class="navigation-option"
      [ngClass]="{'page-selected':path.active}"
      (click)="navigateTo(path.path,index)">{{path.title}}</a>
  </span>


</div>
